from flask import current_app
from flask_restful import Resource
from flask_restful.reqparse import RequestParser
from flask_jwt_extended import ( jwt_required, get_jwt_identity )
from common import code, pretty_result

class {{ className }}(Resource):
    def __init__(self):
        self.parser = RequestParser()

    @jwt_required
    def get(self):
        self.parser.add_argument("currentPage", type=int, location="args", default=1)
        self.parser.add_argument("pageSize", type=int, location="args", default=15)
        self.parser.add_argument("equipment", type=int, location="args", required=False)
        args = self.parser.parse_args()

        try:
            
        except Exception as e:
            current_app.logger.error(e)
            db.session.rollback()
            return pretty_result(code.DB_ERROR)